"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getLicenseFromFiles = void 0;

var _path = require("path");

var _tools = require("@kettil/tools");

var _actionConfigs = require("../../../../configs/actionConfigs");

var _readdir = require("../../../cmd/readdir");

var _readFile = require("../../../cmd/readFile");

const getLicenseFromFiles = async ({
  path,
  data,
  licenseHeuristics
}) => {
  const entries = await (0, _readdir.readdir)(path);
  const files = entries.filter(entry => entry.isFile() && !entry.name.startsWith('.') && _actionConfigs.licenseFilenameRegExp.test(entry.name)).map(entry => entry.name).sort();

  for (const file of files) {
    const content = await (0, _readFile.readFile)((0, _path.join)(path, file));

    for (const [aliasLicense, regexp] of (0, _tools.objectEntries)(licenseHeuristics)) {
      if (regexp.test(content)) {
        return { ...data,
          license: aliasLicense
        };
      }
    }
  }

  return undefined;
};

exports.getLicenseFromFiles = getLicenseFromFiles;