"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.app = void 0;

var _path = require("path");

var _tools = require("@kettil/tools");

var _chalk = _interopRequireDefault(require("chalk"));

var _yargs = _interopRequireDefault(require("yargs"));

var _logger = require("./cli/logger");

var _yargs2 = require("./cli/yargs");

var _getPathFromNodeModulesParent = require("./utils/getPathFromNodeModulesParent");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const cwd = process.cwd();
const root = (0, _getPathFromNodeModulesParent.getPathFromNodeModulesParent)(__dirname, (0, _path.join)(__dirname, '..', '..'));
const cfg = (0, _path.join)(__dirname, '..', '..', 'configs');
const epilogue = [`Run ${_chalk.default.bold('carna <command> --help')} to display the options of the commands `, '', 'For more information, find our manual at https://github.com/kettil/carna'];

const app = async argv => {
  await (0, _yargs.default)(argv).locale('en').option('ci', {
    default: (0, _tools.env)('CI', '') !== '',
    type: 'boolean',
    describe: 'Run carna in CI mode'
  }).option('verbose', {
    default: false,
    alias: 'v',
    type: 'boolean',
    desc: 'Print info messages'
  }).option('vvv', {
    default: false,
    type: 'boolean',
    desc: 'Print info/debug messages'
  }).option('root', {
    default: root,
    type: 'string',
    hidden: true
  }).option('cwd', {
    default: cwd,
    type: 'string',
    hidden: true
  }).option('cfg', {
    default: cfg,
    type: 'string',
    hidden: true
  }).middleware(argsInterpreted => {
    argsInterpreted.log = (0, _logger.logger)(argsInterpreted);
    return argsInterpreted;
  }).parserConfiguration({
    'strip-aliased': true
  }).commandDir('../lib/commands').demandCommand(1, 1).strictCommands().strictOptions().usage('Usage: $0 <command> [options]').epilogue(epilogue.join('\n')).help().version().fail(_yargs2.errorHandler).exitProcess(false).parse();
};

exports.app = app;