"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ciTask = void 0;

var _taskHook = require("../utils/taskHook");

var _analyseTask = require("./analyseTask");

var _buildTask = require("./buildTask");

var _manageTask = require("./manageTask");

var _testTask = require("./testTask");

const ciTask = async (argv, {
  build
}) => {
  const extendArgv = { ...argv,
    ci: true
  };
  await (0, _taskHook.taskHook)(argv, {
    task: 'ci',
    type: 'pre'
  });

  if (build) {
    await (0, _buildTask.buildTask)(extendArgv, {});
  }

  await (0, _analyseTask.analyseTask)(extendArgv, {
    all: true
  });
  await (0, _testTask.testTask)(extendArgv, {
    verbose: true,
    runInBand: true
  });
  await (0, _manageTask.manageTask)(extendArgv, {});
  await (0, _taskHook.taskHook)(argv, {
    task: 'ci',
    type: 'post'
  });
};

exports.ciTask = ciTask;