"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.reduceAliasLicenseList = void 0;

var _tools = require("@kettil/tools");

const reduceAliasLicenseList = ({
  packageName
}) => (versions, [version, license]) => {
  if (!(0, _tools.isString)(version)) {
    throw new TypeError(`.carnarc.json: license.aliases.${packageName} has a key that is not a string`);
  }

  if (!(0, _tools.isString)(license)) {
    throw new TypeError(`.carnarc.json: license.aliases.${packageName}.${version} is not a string`);
  }

  return Object.assign(versions, {
    [version]: license
  });
};

exports.reduceAliasLicenseList = reduceAliasLicenseList;