"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.managePackageLintTask = void 0;

var _path = require("path");

var _packageLint = require("../../actions/tools/packageLint");

var _spinner = require("../../cli/spinner");

var _getPackageLintMode = require("../../utils/getPackageLintMode");

const managePackageLintTask = async (argv, {
  workspacePaths
}) => {
  await [argv.root, ...workspacePaths].reduce(async (promise, path) => {
    await promise;
    const mode = await (0, _getPackageLintMode.getPackageLintMode)({
      argv,
      path,
      workspacePaths
    });
    const subTitle = path === argv.root ? '' : `[${(0, _path.basename)(path)}]`;
    await (0, _spinner.spinnerAction)((0, _packageLint.packageLintAction)(argv, {
      mode,
      path
    }), `package.json verification ${subTitle}`);
  }, Promise.resolve());
};

exports.managePackageLintTask = managePackageLintTask;