"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.cleanAnalyseFiles = void 0;

var _tools = require("@kettil/tools");

var _actionConfigs = require("../../configs/actionConfigs");

const testEslint = new RegExp(`(${_actionConfigs.eslintExtensions.replaceAll(',', '|')})$`, 'u');
const testPrettier = new RegExp(`(${_actionConfigs.prettierExtensions.replaceAll(',', '|')})$`, 'u');

const cleanAnalyseFiles = files => {
  const eslintFiles = files.filter(file => testEslint.test(file));
  const prettierFiles = files.filter(file => testPrettier.test(file));
  const mergedFiles = (0, _tools.uniqueArray)([...prettierFiles, ...eslintFiles]);
  return {
    eslintFiles,
    prettierFiles,
    mergedFiles
  };
};

exports.cleanAnalyseFiles = cleanAnalyseFiles;