"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getCoverageWatermark = void 0;

var _tools = require("@kettil/tools");

var _actionConfigs = require("../../configs/actionConfigs");

const getCoverageWatermark = watermark => {
  if ((0, _tools.isArray)(watermark)) {
    const [v1, v2] = watermark;

    if (v1 > v2) {
      throw new Error(`The medium-watermarks "${v1}" must not be greater than high-watermarks "${v2}"`);
    }

    return watermark;
  }

  if (typeof watermark === 'number') {
    return [watermark, watermark];
  }

  return _actionConfigs.coverageDefaultWatermark;
};

exports.getCoverageWatermark = getCoverageWatermark;