"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getWorkspacePackageAndDependencies = void 0;

var _tools = require("@kettil/tools");

var _packageLoad = require("../actions/npm/packageLoad");

const getWorkspacePackageAndDependencies = async (argv, {
  workspacePath
}) => {
  const packageData = await (0, _packageLoad.npmPackageLoadAction)(argv, {
    path: workspacePath
  });

  if (!(0, _tools.isObject)(packageData)) {
    throw new TypeError('bla');
  }

  const {
    name,
    dependencies
  } = packageData;

  if (!(0, _tools.isString)(name)) {
    throw new TypeError('The package.json key "name" is undefiend');
  }

  const dependencyNames = (0, _tools.isObject)(dependencies) ? Object.keys(dependencies) : [];
  return {
    name,
    path: workspacePath,
    dependencies: dependencyNames
  };
};

exports.getWorkspacePackageAndDependencies = getWorkspacePackageAndDependencies;