"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getWorkspacesOrderByDependencies = void 0;

var _getWorkspaceDependencies = require("./getWorkspaceDependencies");

var _topologicalSorting = require("./topologicalSorting");

const getWorkspacesOrderByDependencies = async ({
  argv,
  workspacePaths
}) => {
  if (workspacePaths.length <= 1) {
    return workspacePaths;
  }

  const dependencyEdges = await Promise.all(workspacePaths.map(async (path, _, paths) => {
    const dependencyPaths = await (0, _getWorkspaceDependencies.getWorkspaceDependencies)({
      argv,
      workspacePath: path,
      workspacePaths: paths
    });
    return dependencyPaths.map(dependencyPath => [dependencyPath, path]);
  }));
  const topologicalSorting = (0, _topologicalSorting.topologicalSortingFactory)(workspacePaths);
  dependencyEdges.flat().forEach(edge => {
    topologicalSorting.addEdge(...edge);
  });
  return topologicalSorting.getSortedNode();
};

exports.getWorkspacesOrderByDependencies = getWorkspacesOrderByDependencies;